import 'package:flutter/material.dart';

class GradientBackground extends StatelessWidget {
  final Widget child;
  final List<Color> colors;
  final List<double> stops;
  final AlignmentGeometry begin;
  final AlignmentGeometry end;

  GradientBackground({
    required this.child,
    this.colors = const [Color(0xffff9800), Color(0xfff44336)],
    this.stops = const [0.2, 0.8],
    this.begin = FractionalOffset.topLeft,
    this.end = FractionalOffset.bottomRight,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: GestureDetector(
        onTap: () => FocusScope.of(context).unfocus(),
        child: Container(
          height: MediaQuery.of(context).size.height,
          width: MediaQuery.of(context).size.width,
          child: child,
          decoration: BoxDecoration(
              gradient: LinearGradient(
                colors: colors,
                stops: stops,
                begin: begin,
                end: end,
              )
          ),
        ),
      ),
    );
  }
}
